not opening

If your topic doesn't fit anywhere else, put it here.

Moderator: joepal

not opening

Postby Ahtasham » Sat Jan 19, 2019 5:14 am

i have installed version 1.2.0 a2 in window 7 but its neither running nor open.
Ahtasham
 
Posts: 1
Joined: Sat Jan 19, 2019 5:06 am

Re: not opening

Postby loki1950 » Sun Jan 20, 2019 7:43 pm

Could you be a bit more specific as in what GPU is on your system was a makehuman folder created if one was there should be a log file that would tell us exactly what stopped it from completely opening.At the moment AMD GPUs do not work we are trying to get the OpenGL code up to date.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 19.2/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and Lenovo Ideapad 320-15ABR Win 10/Mint 19
User avatar
loki1950
 
Posts: 931
Joined: Thu Dec 18, 2014 6:27 pm
Location: Ottawa,Ontario

Re: not opening

Postby Mindfront » Mon Jan 28, 2019 12:18 pm

Almost the same as my first test runs of the alpha. Tested on three systems, one work, two doesn't even start at all.
The one that works is a VirtulBox system (not updated for several years) without any graphic card other than a default driver.
The other two computers, one with Nvidia GForce GTX and Intel HD, and one with an old ATI Radeon.
Those two did not start MakeHuman at all.

I write in swedish as that is much faster.

MakeHuman 1.2.0a2

Har testat på tre datorer: VirtualBox, Stordator, äldre dator

Installerade som vanlig användare inte administratör eftersom jag gissar att det är målet.

Alla system är i stort sett identiskt konfigurerade Windows 7 sp1 64 bit
förutom grafikkort/drivrutin
VirtualBox = inget grafikkort bara standard drivrutin
Stordator = Nvidia GForce GTX och Intel HD
Äldre dator: ATI Radeon


VirtualBox
Installationsstorlek:
före start av MakeHuman
7864 filer
802 kataloger
520 mb
545 676 898 byte

efter start av MakeHuman
7992 filer
820 kataloger
521 mb
547 047 915 byte

Programmet startar...ser ut att fungera som vanligt.

-------------------------------------------
Stordatorn
Installationsstorlek:
före start av MakeHuman
7906 filer
802 kataloger
522 mb
548 309 284 byte

efter start av MakeHuman
7911 filer
803 kataloger
522 mb
548 339 441 byte

MakeHuman startar inte alls...

-------------------------------------------
Äldre dator
kollade inte installationsstorlek men testade både "1.2.0a2" och "makehuman-fixed-graphics-card-bug-win32"

MakeHuman startar inte alls.
-------------------------------------------

Nästa test var att kopiera den fungerande installationen från VirtualBox till Stordatorn, bägge har samma installationskatalog "C:\Temp\makehuman-community", startade MakeHuman men felmeddelande från "pythonw.exe" System Error "The program can't start because api-ms-win-crt-runtime-l1-1-0.dll is missing"...

På Stordatorn, sökte efter "api-ms-win-crt-runtime-l1-1-0.dll" och hittade en i Firefox installationskatalog.

I VirtualBox, sökte efter "api-ms-win-crt-runtime-l1-1-0.dll" och fann den i Firefox installationskatalog och
C:\Windows\System32
C:\Windows\SysWOW64C:\Windows\winsxs\amd64_microsoft-windows...
och fyra ytterligare kataloger med typiskt Windows knepiga sökvägar.

Gissar på att alla "api-ms-win-crt-runtime-l1-1-0.dll" förutom den i Firefox har kommit från någon testinstallation av ett annat program som inte gått vidare till stordatorn.

Raderade kopian från VirtualBox och ominstallerade igen på Stordatorn, och fann då "api-ms-win-crt-runtime-l1-1-0.dll" i "C:\Temp\makehuman-community\Python".
Men MakeHuman startar inte.

Kollade i "C:\Users\...\Documents\makehuman\v1py3"
---------------------------------------------------------
"makehuman.log" (kan inte publicera allt av säkerhetsskäl)
***
[2019-01-27 23:27:32,028] log.py->debug():113 -- DEBUG -- SYS.PLATFORM: win32
[2019-01-27 23:27:32,028] log.py->debug():113 -- DEBUG -- SYS.EXECUTABLE: C:\Temp\makehuman-community\Python\pythonw.exe
[2019-01-27 23:27:32,029] log.py->debug():113 -- DEBUG -- PLATFORM.MACHINE: AMD64
[2019-01-27 23:27:32,029] log.py->debug():113 -- DEBUG -- PLATFORM.PROCESSOR: Intel64 ***
[2019-01-27 23:27:32,029] log.py->debug():113 -- DEBUG -- PLATFORM.UNAME.RELEASE: 7
[2019-01-27 23:27:32,029] log.py->debug():113 -- DEBUG -- PLATFORM.WIN32_VER: 7 6.1.7601 SP1 Multiprocessor Free
[2019-01-27 23:27:32,035] log.py->error():127 -- ERROR -- Could not create debug dump
Traceback (most recent call last):
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 16, in <module>
from . import multiarray
ImportError: DLL load failed: Det går inte att hitta den angivna modulen.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "makehuman.py", line 200, in debug_dump
debugdump.dump.reset()
File "./lib\debugdump.py", line 138, in reset
import numpy
File "C:\Temp\makehuman-community\pkgs\numpy\__init__.py", line 142, in <module>
from . import add_newdocs
File "C:\Temp\makehuman-community\pkgs\numpy\add_newdocs.py", line 13, in <module>
from numpy.lib import add_newdoc
File "C:\Temp\makehuman-community\pkgs\numpy\lib\__init__.py", line 8, in <module>
from .type_check import *
File "C:\Temp\makehuman-community\pkgs\numpy\lib\type_check.py", line 11, in <module>
import numpy.core.numeric as _nx
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 26, in <module>
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: Det går inte att hitta den angivna modulen.
---------------------------------------------------------
"python_err.txt" (kan inte publicera allt av säkerhetsskäl)

Initialized logging
VERSION: 1.2.0
HG REVISION: UNKNOWN
SHORT VERSION: v1.2.0
BASEMESH VERSION: hm08
IS BUILT (FROZEN): No
IS RELEASE VERSION: Yes
DEFAULT ENCODING: utf-8
FILESYSTEM ENCODING: utf-8
STDOUT ENCODING: cp1252
WORKING DIRECTORY: C:\Temp\makehuman-community\makehuman
***
PYTHON PATH: ./;./lib;./apps;./shared;./apps/gui;./core;C:\Temp\makehuman-community\Python\python36.zip;C:\Temp\makehuman-community\Python;C:\Temp\makehuman-community\pkgs
DLL PATH: C:\Program Files (x86)\Common Files\Intel\***
***
SYS.PLATFORM: win32
SYS.EXECUTABLE: C:\Temp\makehuman-community\Python\pythonw.exe
PLATFORM.MACHINE: AMD64
PLATFORM.PROCESSOR: Intel64 ***
PLATFORM.UNAME.RELEASE: 7
PLATFORM.WIN32_VER: 7 6.1.7601 SP1 Multiprocessor Free
Could not create debug dump
Traceback (most recent call last):
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 16, in <module>
from . import multiarray
ImportError: DLL load failed: Det går inte att hitta den angivna modulen.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "makehuman.py", line 200, in debug_dump
debugdump.dump.reset()
File "./lib\debugdump.py", line 138, in reset
import numpy
File "C:\Temp\makehuman-community\pkgs\numpy\__init__.py", line 142, in <module>
from . import add_newdocs
File "C:\Temp\makehuman-community\pkgs\numpy\add_newdocs.py", line 13, in <module>
from numpy.lib import add_newdoc
File "C:\Temp\makehuman-community\pkgs\numpy\lib\__init__.py", line 8, in <module>
from .type_check import *
File "C:\Temp\makehuman-community\pkgs\numpy\lib\type_check.py", line 11, in <module>
import numpy.core.numeric as _nx
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 26, in <module>
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: Det går inte att hitta den angivna modulen.

Traceback (most recent call last):
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 16, in <module>
from . import multiarray
ImportError: DLL load failed: Det går inte att hitta den angivna modulen.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "makehuman.py", line 610, in <module>
main()
File "makehuman.py", line 595, in main
import numpy
File "C:\Temp\makehuman-community\pkgs\numpy\__init__.py", line 142, in <module>
from . import add_newdocs
File "C:\Temp\makehuman-community\pkgs\numpy\add_newdocs.py", line 13, in <module>
from numpy.lib import add_newdoc
File "C:\Temp\makehuman-community\pkgs\numpy\lib\__init__.py", line 8, in <module>
from .type_check import *
File "C:\Temp\makehuman-community\pkgs\numpy\lib\type_check.py", line 11, in <module>
import numpy.core.numeric as _nx
File "C:\Temp\makehuman-community\pkgs\numpy\core\__init__.py", line 26, in <module>
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: Det går inte att hitta den angivna modulen.
----------------------------------------

Eftersom MakeHuman startar installerad som vanlig användare på VirtualBox borde problemet inte vara administratörsrättigheter.
Mindfront
 
Posts: 202
Joined: Thu Jun 23, 2016 9:20 pm
Location: Sweden

Re: not opening

Postby joepal » Mon Jan 28, 2019 1:16 pm

Running in virtualbox is not really fair, since virtualbox ships with a crippled opengl driver. It may work with a windows 7 guest, but will absolutely never work with a windows 10 guest. This since virtualbox decided to remove crucial parts of opengl support for windows guests later than windows 7.

This said, it's not surprising that the alpha does not start with intel/radeon. This is a known error. Try the special test build instead and see if that works better: viewtopic.php?f=18&t=16972

None of this explains the missing DLL for numpy though. It seems the multiarray part of numpy fails to locate something important. It's the first time I see this report, so I'll have to look into it further. I have no good explanation at this time.
Joel Palmius (LinkedIn)
MakeHuman Infrastructure Manager
http://www.palmius.com/joel
joepal
 
Posts: 3559
Joined: Wed Jun 04, 2008 11:20 am


Return to General discussions about makehuman

Who is online

Users browsing this forum: No registered users and 1 guest